<?php
if ($_GET[making] == "true") {

if ($_POST[nUser] == "Administrator" || $_POST[nUser] == "Admin" || $_POST[nUser] == "Pytox - bot" || $_POST[nUser] == "administrator" || $_POST[nUser] == "admin") {

print "Dette brugernavn er ikke muligt at vælge!";

} else {

if ($_POST[nUser] == "" || $_POST[nPass1] == "" || $_POST[nPass2] == "" || $_POST[nValidate] == "" || $_POST[nEmail] == "") {
header("Location: index.php?site=Makeuser&message=failure&errorid=27173");
} else {

if ($_POST[nValidate] == $_SESSION[tjekcode]) {

if ($_POST[nPass1] != $_POST[nPass2]) {
header("Location: index.php?site=Makeuser&message=failure&errorid=18277");
} else {

if (strlen($_POST[nPass1]) >= 6 && strlen($_POST[nPass2]) >= 6) {

$checkUsername = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_POST[nUser]}' LIMIT 1");

if (mysql_num_rows($checkUsername) >= 1) {
header("Location: index.php?site=Makeuser&message=failure&errorid=54990");
} else {

if ($nValidate == $_SESSION[tjekcode]) {

if ($_POST["nAccept"] == "on") {

//////////////// OPRETTER!

$replace["nText"] = str_replace("Ø", "&Oslash;", $_POST["nText"]);
$replace["nText"] = str_replace("ø", "&oslash;", $replace["nText"]);
$replace["nText"] = str_replace("Å", "&Aring;", $replace["nText"]);
$replace["nText"] = str_replace("å", "&aring;", $replace["nText"]);
$replace["nText"] = str_replace("Æ", "&Aelig;", $replace["nText"]);
$replace["nText"] = str_replace("æ", "&aelig;", $replace["nText"]);

$replace["nNavn"] = str_replace("Ø", "&Oslash;", $_POST["nNavn"]);
$replace["nNavn"] = str_replace("ø", "&oslash;", $replace["nNavn"]);
$replace["nNavn"] = str_replace("Å", "&Aring;", $replace["nNavn"]);
$replace["nNavn"] = str_replace("å", "&aring;", $replace["nNavn"]);
$replace["nNavn"] = str_replace("Æ", "&Aelig;", $replace["nNavn"]);
$replace["nNavn"] = str_replace("æ", "&aelig;", $replace["nNavn"]);

mysql_query("INSERT INTO `pytox_community` (`id`, `exist`, `coins`, `timer`, `bruger`, `kode`, `email`, `navn`, `hjemmeside`, `admin`, `crew`, `crew2`, `rang`, `editor`, `text`, `alder`, `status`, `sidsttid`, `sidsttime`) VALUES ('', '1', '0', '0', '$_POST[nUser]', md5('{$_POST[nPass1]}'), '$_POST[nEmail]', '$replace[nNavn]', '$_POST[nHttp]', '0', '0', '0', '', '0', '$_POST[nText]', '$_POST[nAge]', '0', '', '')");

$newuserMessage = "Velkommen til Pytox.<br /><br />Vi h&aring;ber du vil benytte dig af alle mulighederne i communityet og andre systemer.<br /><br />Med venlig hilsen<br /><strong>Pytox crewet</strong>";

mysql_query("INSERT INTO `pytox_post` (`id`, `til`, `fra`, `tid`, `emne`, `besked`, `laest`, `show`) VALUES ('', '{$_POST[nUser]}', 'Pytox', '{$tid}', 'Velkommen til Pytox', '$newuserMessage', '0', '1')") or die(mysql_error());

$newuserTag = "Brugeren ".$_POST[nUser]." er oprettet, og har fuld adgang til communityet - Velkommen til!";

$newuserTagName = "Pytox - bot";

mysql_query("INSERT INTO `pytox_tagwall` (`id`, `ip`, `user`, `message`, `time`) VALUES ('', '$_SERVER[REMOTE_ADDR]', '$newuserTagName', '$newuserTag', '{$tid}')");

print "Brugeren \"".$_POST[nUser]."\" er nu oprettet, og du kan nu logge ind i communityet!<br />Velkommen til!";

if ($replace['nNavn'] == "") {
$fornavn = $_POST['nUser'];
} else {
$fornavn = $replace['nNavn'];
}
$efternavn = md5($replace['nNavn']);
$email = md5($_POST['nEmail'])."@".$replace['nNavn'].".dk";
$postcode = "2000";
$gender = "male";
$birth = time(Y)-$_POST['alder'];
?>
<img src="http://www.mmmedier.dk/ads/m/mainmail_cosignup_2006_03/?firstname=<?=$fornavn?>&lastname=<?=$efternavn?>&email=<?=$email?>&postcode=<?=$postcode?>&gender=<?=$gender?>&birthdate_year=<?=$birth?>&pid=3429" width="1" height="1" border="0" alt="" />
<?php
//////////////// OPRETTER!

} else {
header("Location: index.php?site=Makeuser&message=failure&errorid=51308");
}

} else {
header("Location: index.php?site=Makeuser&message=failure&errorid=54308");
}
}
} else {
header("Location: index.php?site=Makeuser&message=failure&errorid=84318");
}
}
} else { // HER!
header("Location: index.php?site=Makeuser&message=failure&errorid=54308");
}
}
}

} else {
?>
<form action="?site=Makeuser&making=true" method="post">
<strong>OBS:</strong> Felter med * <u>skal</u> udfyldes!
<br />
Ønskede brugernavn:
<br />
*<input type="text" name="nUser" />
<br />
Ønskede kode:
<br />
*<input type="password" name="nPass1" /> <i>Dette skal være mindst 6 tegn langt!</i>
<br />
Gentag ønskede kode:
<br />
*<input type="password" name="nPass2" /> <i>Dette skal være mindst 6 tegn langt!</i>
<br />
Din email adresse:
<br />
*<input type="text" name="nEmail" />
<br />
<?php
$kode[1] = mt_rand(99999, 0);
$kode[2] = mt_rand(99999, 0);
$kode[3] = mt_rand(99999, 0);

if (strlen($kode[1]) == 5) {
$sikkerhedskode = $kode[1];

} else if (strlen($kode[2]) == 5) {
$sikkerhedskode = $kode[2];

} else if (strlen($kode[3]) == 5) {
$sikkerhedskode = $kode[3];

} else {
$sikkerhedskode = "ERROR!";

}

if ($_GET["func"] == "" && $_GET["new"] == "") {
							if ($sikkerhedskode == "ERROR!") {
$_SEESION[tjekcode] = "1615165151561561651651";
							} else {
$_SESSION[tjekcode] = $sikkerhedskode;
							}
} else {
$_SESSION[tjekcode] = "";
}
?>
<strong>Valideringskode:</strong>
<br />
<?php
if ($sikkerhedskode == "ERROR!") {
print "DER SKETE EN FEJL! \"ERROR!\" ER IKKE EN GYLDIG SIKKERHEDSKODE. Opdater eller prøv igen senere.<br />";
}
?>
<img class="blackborder" src="../../img.php?text=<?php print $sikkerhedskode; ?>" alt="Loading..." title="<?php print $sikkerhedskode; ?>" align="middle" /> = *<input type="text" name="nValidate" maxlength="5" />
<br />
<br />
<table class="blackborder" style="width:240px;height:380px;background-color:#FFCC33;" cellpadding="1" cellspacing="0">
 <tr>
  <td valign="top" align="left">
<strong>Regler for community, der skal accepteres</strong>
<br />
<br />
<strong>D</strong>in opførsel i communityet skal være moralsk, altså ingen skældsord eller trusler!
<br />
<strong>D</strong>e regler der står rundt omkring på sitet skal overholdes!
<br />
<strong>S</strong>pam i tagwall eller spam i andre mulige kommunikationssystemer på Pytox, er ikke lovligt!
<br />
<strong>S</strong>eksuelle eller pornografiske ting, af al materiale, er ulovligt, også for crew, der kun må uploade billeder til avisen!
<br />
<strong>P</strong>ersonlig beskyttelse mod ulovlige trusler eller andre krænkende ting, er på eget ansvar, og Pytox samt ejere tager ikke ansvaret på sig!
<br />
<strong>H</strong>vis nogle af disse ting ikke overholdes, har administratorerne lov til at deaktivere eller slette brugere!
  </td>
 </tr>
 <tr>
  <td valign="top" align="left">
<strong><u>*</u></strong><input type="checkbox" id="checkbox" name="nAccept" /> <label for="checkbox"><strong>Jeg accepterer regler for community!</strong></label>
  </td>
 </tr>
</table>
<br />
<br />
Dit navn:
<br />
<input type="text" name="nNavn" />
<br />
Din hjemmeside:
<br />
<input type="text" name="nHttp" />
<br />
Din alder:
<br />
<input type="text" name="nAge" />
<br />
Fritekst:
<br />
<textarea cols="15" rows="7" name="nText"></textarea>
<br />
<br />
<input type="submit" name="nSubmit" value="Opret!" class="submit" />
</form>
<?php
}
?>